package com.yanzuoguang.code;

/**
 * 加密算法生成接口
 * @author 颜佐光
 */
public interface CodePwd {
    /**
     * 获取算法的名称
     *
     * @return
     */
    String getName();

    /**
     * 生成二维码
     *
     * @param rand  随机数
     * @param day   日期
     * @param index 序号
     * @param pwd   密码
     * @return 生成的结果
     */
    String getCode(String rand, String day, String index, String pwd);
}
